# common

## Functions:

### get\_date

{% embed url="<https://devhints.io/datetime>" %}

`common.get_date(format: string[, unix_time: number]):` <mark style="color:purple;">`string`</mark>

<table><thead><tr><th width="150">Name</th><th width="150">Type</th><th width="395.7341676883734">Description</th></tr></thead><tbody><tr><td><strong>format</strong></td><td><strong><code>string</code></strong></td><td>Date format (<code>strftime</code>)</td></tr><tr><td><strong>unix_time</strong></td><td><strong><code>number</code></strong></td><td>Optional. Unix-format time</td></tr></tbody></table>

Returns the formatted date.

### get\_unixtime

`common.get_unixtime():` <mark style="color:purple;">`number`</mark>

Returns the number of seconds that have elapsed since the unix epoch (1 January 1970 00:00:00)

### get\_timestamp

`common.get_timestamp():` <mark style="color:purple;">`number`</mark>

Returns high precision timestamp in milliseconds.

### get\_system\_time

`common.get_system_time():` <mark style="color:purple;">`table`</mark>

Returns the windows time as a table containing the <mark style="color:blue;">`year`</mark>, <mark style="color:blue;">`month`</mark>, <mark style="color:blue;">`day`</mark>, <mark style="color:blue;">`hours`</mark>, <mark style="color:blue;">`minutes`</mark>, and <mark style="color:blue;">`seconds`</mark> values.

### get\_product\_version

`common.get_product_version():` <mark style="color:purple;">`number`</mark>

Returns the product version of the game client.

### get\_game\_directory

`common.get_game_directory():` <mark style="color:purple;">`string`</mark>

Returns the path to the game client folder.

### get\_map\_data

`common.get_map_data():` <mark style="color:purple;">`table`</mark>

Returns a table containing the <mark style="color:blue;">`name`</mark>, <mark style="color:blue;">`shortname`</mark>, and <mark style="color:blue;">`group`</mark> values.

### get\_username

`common.get_username():` <mark style="color:purple;">`string`</mark>

Returns your Neverlose username.

### get\_config\_name

`common.get_config_name():` <mark style="color:purple;">`string`</mark>

Returns the name of the currently loaded config.

### get\_active\_scripts

`common.get_active_scripts():` <mark style="color:purple;">`table`</mark>

Returns a table of strings containing the names of the loaded scripts.

### get\_mouse\_wheel\_delta

`common.get_mouse_wheel_delta():` <mark style="color:purple;">`number`</mark>

Returns a value that indicates the amount that the mouse wheel has changed.

### is\_in\_thirdperson

`common.is_in_thirdperson():` <mark style="color:purple;">`boolean`</mark>

Returns <mark style="color:green;">`true`</mark> if the camera is in thirdperson.

### reload\_script

`common.reload_script()`

Reloads current script.

### unload\_script

`common.unload_script()`

Unloads current script.

### force\_full\_update

`common.force_full_update()`

Forces the server to send a full update packet.

### set\_clan\_tag

`common.set_clan_tag(text: string)`

<table><thead><tr><th width="150">Name</th><th width="162.52330706200414">Type</th><th width="410.3276962436035">Description</th></tr></thead><tbody><tr><td><strong>text</strong></td><td><strong><code>string</code></strong></td><td>New clan tag</td></tr></tbody></table>

Sets your in-game clan tag.

### set\_name

`common.set_name(text: string)`

<table><thead><tr><th width="150">Name</th><th width="162.52330706200414">Type</th><th width="410.3276962436035">Description</th></tr></thead><tbody><tr><td><strong>text</strong></td><td><strong><code>string</code></strong></td><td>New name</td></tr></tbody></table>

Sets your in-game name.

### add\_event

`common.add_event(text: string[, icon_name: string])`

<table><thead><tr><th width="150">Name</th><th width="162.52330706200414">Type</th><th width="410.3276962436035">Description</th></tr></thead><tbody><tr><td><strong>text</strong></td><td><strong><code>string</code></strong></td><td>Text to print to into the upper-left panel.</td></tr><tr><td><strong>icon_name</strong></td><td><strong><code>string</code></strong></td><td>Optional. Fontawesome icon name.</td></tr></tbody></table>

Prints the text into the upper-left neverlose event panel.

### add\_notify

`common.add_notify(title: string, text: string)`

<table><thead><tr><th width="150">Name</th><th width="162.52330706200414">Type</th><th width="410.3276962436035">Description</th></tr></thead><tbody><tr><td><strong>title</strong></td><td><strong><code>string</code></strong></td><td>Text to print to into the title.</td></tr><tr><td><strong>body</strong></td><td><strong><code>string</code></strong></td><td>Text to print to into the body of the notification.</td></tr></tbody></table>

Draws the notification.

### is\_button\_down

{% embed url="<https://docs.microsoft.com/en-us/windows/win32/inputdev/virtual-key-codes>" %}

`common.is_button_down(key: number):` <mark style="color:purple;">`boolean`</mark>

<table><thead><tr><th width="150">Name</th><th width="162.52330706200414">Type</th><th width="410.3276962436035">Description</th></tr></thead><tbody><tr><td><strong>key</strong></td><td><strong><code>number</code></strong></td><td>Key to check</td></tr></tbody></table>

Returns <mark style="color:green;">`true`</mark> if the button is down, or nil on failure.

### is\_button\_released

`common.is_button_released(key: number):` <mark style="color:purple;">`boolean`</mark>

<table><thead><tr><th width="150">Name</th><th width="162.52330706200414">Type</th><th width="410.3276962436035">Description</th></tr></thead><tbody><tr><td><strong>key</strong></td><td><strong><code>number</code></strong></td><td>Key to check</td></tr></tbody></table>

Returns <mark style="color:green;">`true`</mark> if the button is released, or nil on failure.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-csgo.neverlose.cc/documentation/variables/common.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
